# -*- YAML -*-
# This is a Spack Environment file.
#
# It describes a set of packages to be installed, along with
# configuration settings.
spack:
  definitions:
  - compiler: [gcc@11]
  specs:
  - >-
    gcc@14.2.0 %gcc@11
  view: false
  concretizer:
    reuse: true
    targets:
      granularity: generic
  packages:
    all:
      providers:
        'libc:':
        - glibc
        'zlib-api:':
        - zlib
      variants:
      - generator=ninja
    automake:
      require:
      - '%gcc@11'
    binutils:
      require:
      - '+gas+gold+headers+ld+lto+plugins'
      - '%gcc@11'
      - '@2.39:2'
    diffutils:
      require:
      - '%gcc@11'
    gawk:
      require:
      - '%gcc@11'
    gcc:
      require:
      - '+binutils+bootstrap+graphite+profiled+strip~nvptx'
      - build_type=Release
      - languages=c,c++,fortran,lto
    gmake:
      require:
      - '%gcc@11'
    gmp:
      require:
      - '%gcc@11'
    isl:
      require:
      - '%gcc@11'
    libtool:
      require:
      - '%gcc@11'
    m4:
      require:
      - '%gcc@11'
    mpc:
      require:
      - '%gcc@11'
    mpfr:
      require:
      - '%gcc@11'
    perl:
      require:
      - '+open+opcode'
      - '%gcc@11'
    pkgconfig:
      require:
      - pkg-config
    texinfo:
      require:
      - '%gcc@11'
    zlib:
      require:
      - '%gcc@11'
    zlib-api:
      require:
      - zlib
    zstd:
      require:
      - '%gcc@11'
